##
##  apache-proxyhtml.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-proxyhtml
Summary:      Apache Extension: Reverse Proxy HTML Manipulation
URL:          http://apache.webthing.com/mod_proxy_html/
Vendor:       WebThing Ltd
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      GPL
Version:      3.0.1
Release:      20081219

#   list of sources
Source0:      http://apache.webthing.com/mod_proxy_html/mod_proxy_html.tar.bz2
Source1:      apache-proxyhtml.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, gcc
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  apache, apr, libxml
PreReq:       apache, apr, libxml
AutoReq:      no
AutoReqProv:  no

%description

%track
    prog apache-proxyhtml = {
        disabled
        comment   = "rse: unversioned source code"
        version   = %{version}
        url       = http://apache.webthing.com/mod_proxy_html/
        regex     = mod_proxy_html\.tar\.bz2
    }

%prep
    %setup -q -n mod_proxy_html

%build
    #   build module
    %{l_prefix}/sbin/apxs \
        %{l_cppflags libxml2 .} \
        %{l_ldflags} \
        -c mod_proxy_html.c \
        -lxml2

%install
    rm -rf $RPM_BUILD_ROOT

    #   install module
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_proxy_html.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_proxy_html.so
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE apache-proxyhtml.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-proxyhtml.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

